# Package com.icl.saxon.functions

- Class Summary
  Class | Description
  --- | ---
  BooleanFn |
  Ceiling |
  Concat |
  Contains |
  Count |
  Current |
  Document |
  ElementAvailable |
  Extensions | This class implements functions that are supplied as standard with SAXON, but which are not defined in the XSLT or XPath specifications.
  Floor |
  FormatNumber |
  FunctionAvailable |
  GenerateId |
  Id |
  Key |
  Lang |
  Last |
  LocalName |
  NameFn |
  NamespaceURI |
  NormalizeSpace |
  Not |
  NumberFn |
  Position |
  Round |
  StartsWith |
  StringFn |
  StringLength |
  Substring |
  SubstringAfter |
  SubstringBefore |
  Sum |
  SystemProperty |
  Translate |
  UnparsedEntityURI |